(function() {
  'use strict';

  angular
    .module('tile.<%= fullAppName %>', [])
    .controller('tile.<%= fullAppName %>', TileCtrl);



  function TileCtrl ($scope, MydaySidebar) {

    // The tile object representing this tile is accessed at $scope.tile
    var tile = $scope.tile;

    MydaySidebar.setAppNotifications('<%= fullAppName %>', 0);

    // Depending on the template, display different content.
    if (tile.template === 'info') {

      tile.content.push({
        title: template1,
        subtitle: 'app.<%= instName %>-<%= appName %>.tile.TITLE1',
        translationMap: {
          title: false,
          subtitle: true
        }
      });

      tile.content.push({
        title: template2,
        subtitle: 'app.<%= instName %>-<%= appName %>.tile.TITLE2',
        translationMap: {
          title: false,
          subtitle: true
        }
      });

    }
    tile.ready();
  }

})();
